# RowResult::getColumnNames

(No version information available, might only be in Git)

RowResult::getColumnNames — Get all column names

### Description

public mysql_xdevapi\RowResult::getColumnNames ( void ) : array

Retrieve column names for columns present in the result set.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

A numerical array of table columns names, or an empty array if the result set is empty.

### Examples

Example #1 mysql_xdevapi\RowResult::getColumnNames() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$session->sql("DROP DATABASE addressbook")->execute();
$session->sql("CREATE DATABASE foo")->execute();
$session->sql("CREATE TABLE foo.test_table(x int)")->execute();
$session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();
$sql = $session->sql("SELECT * from addressbook.names")->execute();
$colnames = $sql->getColumnNames();
print_r($colnames);`

The above example will output something similar to:

    Array
    (
        [0] => name
        [1] => age
    )